## org.apache.lucene.queryParser
Class QueryParserTestBase.QPTestAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.queryParser.QueryParserTestBase.QPTestAnalyzer

All Implemented Interfaces:
  Closeable

Enclosing class:
  QueryParserTestBase

    public static final class QueryParserTestBase.QPTestAnalyzer

extends org.apache.lucene.analysis.Analyzer

Filters LowerCaseTokenizer with QPTestFilter.

Constructor Summary
`QueryParserTestBase.QPTestAnalyzer()`

Method Summary
`org.apache.lucene.analysis.TokenStream` `tokenStream(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryParserTestBase.QPTestAnalyzer

    public QueryParserTestBase.QPTestAnalyzer()

Method Detail

### tokenStream

    public final org.apache.lucene.analysis.TokenStream tokenStream(String fieldName,
                                                                    Reader reader)

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`